ShortenedStadiumNames = (function(global) {
    var namesList = {
        "Estádio Municipal Radialista Mario Helênio": "Mario Heleno",
        "Estádio Cícero Pompeu de Toledo": "Estádio do Morumbi",
        "Regional Arnaldo Busatto": "Arnaldo Busatto",
        "Estádio Municipal Olímpico Albino Turbay": "Albino Turbay",
        "Antônio Guimarães de Almeira": "Almeidão"
        
    };

    function ShortenedStadiumNames() {}

    ShortenedStadiumNames.prototype.hasKeyFor = function(stadiumName) {
        return namesList.hasOwnProperty(stadiumName);
    };

    ShortenedStadiumNames.prototype.byKey = function(stadiumName) {
        if (this.hasKeyFor(stadiumName)) {
            return namesList[stadiumName];
        }

        throw new Error('The stadium name "' + stadiumName + '" could not be found. Did you forget to register it in the "namesList"?' )
    };
    return ShortenedStadiumNames;
})(window);
